Subject: Re: cat: snapshot 20040409 cures problem
From: Jos Backus <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Apr 2004 21:40:59 -0701

On Mon, Apr 12, 2004 at 07:06:21AM +0100, [email-masked] wrote:
> The current cygwin-1.5.9 and snapshots up to 20040406 have exhibited an
> intermittent problem with cat: the error msg "input file is output file" has
> been presented during a long sequence
> 
> 	cat f.1 f.2 f.3 ... f.n > f.target
> 
> when there is no coincidence of names. This was reported earlier at
> http://www.cygwin.com/ml/cygwin/2004-03/msg01211.html (also with 1.5.9).
> 
> The problem seems to depend in some subtly inexpressible way (otherwise I
> would have sent a test case) on the contents of f.1 .. f.n and the name of
> f.target.
>  
> Well, at least with the examples I have tried (many) this problem is cured
> with snapshot 20040409. 
> 
> And with 20040411.
> 
> Thank you. 
 
Thanks Fergus, for letting me know I wasn't the only one seeing this.

What still puzzles me is that when I rebuilt cat from scratch I was unable to
reproduce this problem.

Cheers,
Jos

> Fergus

-- 
Jos Backus                       _/  _/_/_/      Sunnyvale, CA
                                _/  _/   _/
                               _/  _/_/_/
                          _/  _/  _/    _/
jos at catnook.com        _/_/   _/_/_/          require 'std/disclaimer'

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/